package gov.va.vss.service.impl;

import org.springframework.stereotype.Service;

import gov.va.vss.model.BinaryObject;
import gov.va.vss.service.BinaryObjectService;

@Service
public class BinaryObjectServiceImpl extends AbstractServiceImpl implements BinaryObjectService {

	@Override
	public BinaryObject saveOrUpdate(BinaryObject bo) {
		BinaryObject persistentBO = binaryObjectDAO.saveOrUpdate(bo);
		return persistentBO;
	}

	@Override
	public void delete(long binaryObjectId) {
		binaryObjectDAO.delete(binaryObjectId);
	}

}
